Skip to main content
`Ctrl`+`K`

# `skopt.utils`.expected_minimum

skopt.utils.expected_minimum(res, n_random_starts=20, random_state=None)

  Compute the minimum over the predictions of the last surrogate model. Uses `expected_minimum_random_sampling` with `n_random_starts` = 100000, when the space contains any categorical values.

  Note

  The returned minimum may not necessarily be an accurate prediction of the minimum of the true objective function.

  Parameters:
    res `OptimizeResult`, scipy object

      The optimization result returned by a `skopt` minimizer.

    n_random_starts int, default=20

      The number of random starts for the minimization of the surrogate model.

    random_state int, RandomState instance, or None (default)

      Set random state to something other than None for reproducible results.

  Returns:
    x list

      location of the minimum.

    fun float

      the surrogate function value at the minimum.